SynqedDocs
API referenceDocuments

List documents

GET
/documents

Authorization

bearerAuth
headerAuthorizationBearer <sk_live_<region>_<secret>>

Query Parameters

limit?integer

Page size (1–100, default 25).

Range1 <= value <= 100
Default25
cursor?string

next_cursor from the previous page.

Lengthlength <= 500
source?string

Only documents pushed with this source label.

Match^[a-z0-9][a-z0-9_.-]{0,63}$

Response Body

Success

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://api.synqed.dev/v1/documents'
Example Response
{  "object": "list",  "data": [    {      "id": "string",      "object": "document",      "source": "string",      "external_id": "string",      "title": "string",      "body": "string",      "url": "string",      "metadata": {        "property1": null,        "property2": null      },      "created_by": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}